%funcion ObtenerAceleracionesPorRozamiento.m

function Arozamiento = ObtenerAceleracionesPorRozamiento ...
                 (dim, n_NumPtosControl, v_PtosControl, coef_rozamiento)

%Obtencion de las aceleraciones (deceleraciones) producidas en cada
%punto de control por causa del rozamiento de la manguera con el suelo.
Arozamiento = [];
g=9.81;
for i=1:n_NumPtosControl
   %Fi = F(dim*(cont-1)+1:dim*(cont-1)+dim);
    indice = dim*(i-1); %Desplazamiento en el vector col. de velocidades.
    vi = v_PtosControl(indice+1:indice+dim);
    if (norm(vi)==0)
        %Si no hay velocidad en ese pto. de control, no hay decelaracion.
        Arozamiento = [Arozamiento; zeros(dim,1)];
    else
        %Si hay velocidad en ese pto. de control, la decelaracion es de
        %la misma direccion y pero sentido contrario que la velocidad,
        %y en magnitud se pondera por 'coef_rozamiento'.
        Arozamiento = [Arozamiento; -(vi/norm(vi))*coef_rozamiento*g];
    end
end
