%funcion ObtenerFuerzasAcotadas.m

function Fr = ObtenerFuerzasAcotadas (Jri, F, Fmax_robots)
%Limitacion de la fuerza de los robots en todas sus componentes a
%la fuerza maxima que se permite que experimenten: si se pasa
%alguna componente de cualquier robot, se limita esa a Fmaxina, y el
%resto de componentes del vector se reducen de modo lineal.

%Fr: fuerzas de los robots.
%F: fuerzas generalizadas en los puntos de control.
Fr=Jri*F;
maximo = max(abs(Fr));
if maximo>Fmax_robots
     Fr = Fr*(Fmax_robots/maximo);
end
