%CalcularNiuOrden.m

function NiuOrden = ObtenerNiuOrden(L, pasoDiscretizacion, ...
                                    n_NumPtosControl, p, nudos, ...
                                    ordenDerivada)

%Determinacion del numero de discretizacion se hacen en funcion del 
%orden de la derivada a calcular.
if ordenDerivada==0
    DeltaU=L/pasoDiscretizacion;
elseif ordenDerivada==1
    DeltaU=L/(pasoDiscretizacion+1);
elseif ordenDerivada==2
    DeltaU=L/(pasoDiscretizacion+2);
end

%Calculo.
NiuOrden=[]; 
for i=1:n_NumPtosControl
 	funcion_i=[];
   	for u=0:DeltaU:L
        valor_i=ObtenerN(i,p,u,nudos);
        if (i==n_NumPtosControl && u==L)
            valor_i =1;
        end
            funcion_i=[funcion_i,valor_i];
    end
  	NiuOrden=[NiuOrden,funcion_i'];
end

%Derivacion en funcion del orden de la derivada a calcular.
%Si irdenDerivada==0, el resultado ya esta en 'NiuOrden'.
if ordenDerivada==1
    NiuOrden=diff(NiuOrden)/DeltaU;
elseif ordenDerivada==2
    NiuOrden=diff(NiuOrden,2)/(DeltaU^2);
end

