%parametros.m

%**************************************************************************
%PARAMETROS PARA LOS ROBOTS.
%**************************************************************************
%NombreRobot: texto descriptivo del robot.
%Vmaxima: Velocidad maxima de los robots en m/s
%Amaxima: Aceleracion maxima de los robots en m/s^2
%Fmax_robots: Fuerzas maximas que pueden aplicar los robots
param_robots=...
    ...%{NombreRobot, Vmaxima, Amaxima, Fmax_robots}
    ...%{'Robot1', 2, 100, 100};
    {'Robot3', 0.2, 0.2, 40};


%**************************************************************************
%PARAMETROS PARA LA UBICACION EN REPOSO DE LOS ROBOTS Y LA MANGUERA.
%**************************************************************************
%Nombre_ubicacion_reposo: texto descriptivo de la situacion de reposo.
%robots_reposo: puntos en los que estan los robots en reposo.
%u_robots: punto en los que esta cada robot uE[0, L].
%segmentos_reposo: puntos de cada uno de los segmentos.

param_reposo=...
    {'Ubicacion reposo 1', ...
     [    0,    0;  0.5,    0;    1,    0], ...
     [    0,  0.5,    1], ...
     {[0.1,0; 0.2,0; 0.3,0; 0.4,0], [0.6,0; 0.7,0; 0.8,0; 0.9,0]} };
%     ...
%      'Ubicacion reposo 2', ...
%      [    0,    0;  0.5,    0;    1,    0], ...
%      [    0,  0.5,    1], ...
%      {[0.1,0; 0.2,0; 0.3,0; 0.4,0], [0.6,0; 0.7,0; 0.8,0; 0.9,0]} %;
%     };


%**************************************************************************
%PARAMETROS PARA LA SITUACION INICIAL DE LOS ROBOTS Y LA MANGUERA.
%**************************************************************************
%Nombre_situacion_inicial: texto descriptivo de la situacion inicial.
%robots_inicial: puntos en los que estan los robots en situacion inicial.
%segmentos_inicial: puntos de cada uno de los segmentos.
%ori_robots_inicial: orientacion de los robots.
%norm_v_robots_inicial: norma de la velocidad inicial.
%limite_iteraciones: numero de ciclos a ejecutar.

param_situacion_inicial=...
    {'Inic1', ...
     [    0,    2;    0, 2.25;    0, 2.5], ...
     {[-0.15,2.05; -0.2,2.1; -0.2,2.15; -0.15,2.2], ...
                        [0.15,2.3;   0.2,2.35; 0.2,2.4; 0.15,2.45]},...
     [[0,-1]',[0,-1]',[0,-1]'],...
     [0.2; 0; 0],...
     80000}; ...  %acabar con };
%      ...
%      'Inic2', ...
%      [    0,    2;    0, 2.25;    0, 2.5], ...
%      {[-0.15,2.05; -0.2,2.1; -0.2,2.15; -0.15,2.2], ...
%                         [0.15,2.3;   0.2,2.35; 0.2,2.4; 0.15,2.45]},...
%      [[0,-1]',[0,-1]',[0,-1]'],...
%      [0.4; 0; 0],...
%      50};


%**************************************************************************
%PARAMETROS FISICOS DE LA MANGUERA.
%**************************************************************************
%Nombre_manguera: texto descriptivo de la manguera.
%ES: Coeficiente de estiramiento.
%EB: Coeficiente de curvamiento.
%mu: densidad volumetrica.
%I0: Momento de inercia.
%L: longitud.
%D: diametro.
%cs: constante de streching.
%coef_rozamiento: coef_rozamiento dinamico.
%DeltaU: paso en la discretizacion de la manguera.
%porcentaje_distancia_a_robot_previo: porcentaje de la longitud del segm.
%                     al que se quiere que vayan dos robots consecutivos.

%  param_manguera=...
%   ...% Nombre    ES   EB   mu    I0   L   D   cs  roz  DltU porc
%      {'Man01', 25e6, 5e3, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90};

% param_manguera=...
%  ...% Nombre    ES   EB   mu    I0   L   D   cs  roz  DltU porc
%     {'Man01', 25e6, 5e3, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man02', 25e6, 5e3, 0.5, 0.02, 1, 0.02, 1, 0.8, 0.01, 90;
%      'Man03', 25e6, 5e3, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man04', 25e6, 5e3, 150, 0.02, 1, 0.02, 1, 0.8, 0.01, 90;
%      'Man05', 25e6, 5e4, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man06', 25e6, 5e4, 0.5, 0.02, 1, 0.02, 1, 0.8, 0.01, 90;
%      'Man07', 25e6, 5e4, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man08', 25e6, 5e4, 150, 0.02, 1, 0.02, 1, 0.8, 0.01, 90;
%      'Man09', 25e7, 5e3, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man10', 25e7, 5e3, 0.5, 0.02, 1, 0.02, 1, 0.8, 0.01, 90;
%      'Man11', 25e7, 5e3, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man12', 25e7, 5e3, 150, 0.02, 1, 0.02, 1, 0.8, 0.01, 90;
%      'Man13', 25e7, 5e4, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man14', 25e7, 5e4, 0.5, 0.02, 1, 0.02, 1, 0.8, 0.01, 90;
%      'Man15', 25e7, 5e4, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man16', 25e7, 5e4, 150, 0.02, 1, 0.02, 1, 0.8, 0.01, 90;
%      'Man17',2.5e9, 5e3, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man18',2.5e9, 5e3, 0.5, 0.02, 1, 0.02, 1, 0.8, 0.01, 90;
%      'Man19',2.5e9, 5e3, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man20',2.5e9, 5e3, 150, 0.02, 1, 0.02, 1, 0.8, 0.01, 90;
%      'Man21',2.5e9, 5e4, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man22',2.5e9, 5e4, 0.5, 0.02, 1, 0.02, 1, 0.8, 0.01, 90;
%      'Man23',2.5e9, 5e4, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man24',2.5e9, 5e4, 150, 0.02, 1, 0.02, 1, 0.8, 0.01, 90};

% param_manguera=...
%  ...% Nombre    ES   EB   mu    I0   L   D   cs  roz  DltU porc
%     {    ...
%     ...% 'Man01', 2.5e6, 5e3, 150, 0.02, 1, 0.02, 1, 1.53, 0.01, 90;
%     ...% 'Man02', 25e7, 5e4, 150, 0.02, 1, 0.02, 1, 0.8, 0.01, 90};
%     'Man03', 25e7, 5e4, 150, 0.02, 1, 0.02, 1, 0.8, 0.01, 90};
     
% param_manguera=...
%  ...% Nombre    ES    EB   mu   I0   L   D   cs  roz  DltU porc
%     {'Man25', 2.5e6, 5e2, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man26', 2.5e6, 5e2, 0.5, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man27', 2.5e6, 5e2, 5.0, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man28', 2.5e6, 5e2, 5.0, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man29', 2.5e6, 5e2,  15, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man30', 2.5e6, 5e2,  15, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man31', 2.5e6, 5e2, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man32', 2.5e6, 5e2, 150, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man33', 2.5e6, 5e2,1500, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man34', 2.5e6, 5e2,1500, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%     
%      'Man35', 2.5e6, 5e3, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man36', 2.5e6, 5e3, 0.5, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man37', 2.5e6, 5e3, 5.0, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man38', 2.5e6, 5e3, 5.0, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man39', 2.5e6, 5e3,  15, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'ManZelmar', 2.5e6, 5e3,  150, 0.02, 1, 0.02, 1, 1.53, 0.01, 90};


param_manguera=...
 ...% Nombre    ES    EB   mu   I0   L   D   cs  roz  DltU porc
    {'Man25', 2.5e6, 5e2, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man55', 2.5e6, 5e2, 0.5, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man27', 2.5e6, 5e2, 5.0, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man56', 2.5e6, 5e2, 5.0, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man29', 2.5e6, 5e2,  15, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man57', 2.5e6, 5e2,  15, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man31', 2.5e6, 5e2, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man58', 2.5e6, 5e2, 150, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man33', 2.5e6, 5e2,1500, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man59', 2.5e6, 5e2,1500, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
    
     'Man35', 2.5e6, 5e3, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man60', 2.5e6, 5e3, 0.5, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man37', 2.5e6, 5e3, 5.0, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man61', 2.5e6, 5e3, 5.0, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man39', 2.5e6, 5e3,  15, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man62', 2.5e6, 5e3,  15, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man41', 2.5e6, 5e3, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man63', 2.5e6, 5e3, 150, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man43', 2.5e6, 5e3,1500, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man64', 2.5e6, 5e3,1500, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
    
     'Man45', 2.5e6, 5e4, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man65', 2.5e6, 5e4, 0.5, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man47', 2.5e6, 5e4, 5.0, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man66', 2.5e6, 5e4, 5.0, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man49', 2.5e6, 5e4,  15, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man67', 2.5e6, 5e4,  15, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man51', 2.5e6, 5e4, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man68', 2.5e6, 5e4, 150, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man53', 2.5e6, 5e4,1500, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man69', 2.5e6, 5e4,1500, 0.02, 1, 0.02, 1,1.53, 0.01, 90;
     
     'Man70', 10e6, 5e2, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man71', 10e6, 5e2, 0.5, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man72', 10e6, 5e2, 5.0, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man73', 10e6, 5e2, 5.0, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man74', 10e6, 5e2,  15, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man75', 10e6, 5e2,  15, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man76', 10e6, 5e2, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man77', 10e6, 5e2, 150, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man78', 10e6, 5e2,1500, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man79', 10e6, 5e2,1500, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
    
     'Man80', 10e6, 5e3, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man81', 10e6, 5e3, 0.5, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man82', 10e6, 5e3, 5.0, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man83', 10e6, 5e3, 5.0, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man84', 10e6, 5e3,  15, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man85', 10e6, 5e3,  15, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man86', 10e6, 5e3, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man87', 10e6, 5e3, 150, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man88', 10e6, 5e3,1500, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man89', 10e6, 5e3,1500, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
    
     'Man90', 10e6, 5e4, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man91', 10e6, 5e4, 0.5, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man92', 10e6, 5e4, 5.0, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man93', 10e6, 5e4, 5.0, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man94', 10e6, 5e4,  15, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man95', 10e6, 5e4,  15, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man96', 10e6, 5e4, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man97', 10e6, 5e4, 150, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man98', 10e6, 5e4,1500, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man99', 10e6, 5e4,1500, 0.02, 1, 0.02, 1,1.53, 0.01, 90;
     
     'Man100', 25e6, 5e2, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man101', 25e6, 5e2, 0.5, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man102', 25e6, 5e2, 5.0, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man103', 25e6, 5e2, 5.0, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man104', 25e6, 5e2,  15, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man105', 25e6, 5e2,  15, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man106', 25e6, 5e2, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man107', 25e6, 5e2, 150, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man108', 25e6, 5e2,1500, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man109', 25e6, 5e2,1500, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
    
     'Man01',  25e6, 5e3, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man110', 25e6, 5e3, 0.5, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man111', 25e6, 5e3, 5.0, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man112', 25e6, 5e3, 5.0, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man113', 25e6, 5e3,  15, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man114', 25e6, 5e3,  15, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man03',  25e6, 5e3, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man115', 25e6, 5e3, 150, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man116', 25e6, 5e3,1500, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man117', 25e6, 5e3,1500, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
    
     'Man05' , 25e6, 5e4, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man118', 25e6, 5e4, 0.5, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man07' , 25e6, 5e4, 5.0, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man119', 25e6, 5e4, 5.0, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man120', 25e6, 5e4,  15, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man121', 25e6, 5e4,  15, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man122', 25e6, 5e4, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man123', 25e6, 5e4, 150, 0.02, 1, 0.02, 1,1.53, 0.01, 90; 
     'Man124', 25e6, 5e4,1500, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
     'Man125', 25e6, 5e4,1500, 0.02, 1, 0.02, 1,1.53, 0.01, 90};

% param_manguera=...
%  ...% Nombre    ES    EB   mu   I0   L   D   cs  roz  DltU porc
%     {'Man31', 2.5e6, 5e2, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man32', 2.5e6, 5e2, 150, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man33', 2.5e6, 5e2,1500, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man34', 2.5e6, 5e2,1500, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%     
%      'Man35', 2.5e6, 5e3, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man36', 2.5e6, 5e3, 0.5, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man37', 2.5e6, 5e3, 5.0, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man38', 2.5e6, 5e3, 5.0, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man39', 2.5e6, 5e3,  15, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'ManZelmar', 2.5e6, 5e3,  150, 0.02, 1, 0.02, 1, 1.53, 0.01, 90};
 
%      'Man40', 2.5e6, 5e3,  15, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man41', 2.5e6, 5e3, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man42', 2.5e6, 5e3, 150, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man43', 2.5e6, 5e3,1500, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man44', 2.5e6, 5e3,1500, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      
%      'Man45', 2.5e6, 5e4, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man46', 2.5e6, 5e4, 0.5, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man47', 2.5e6, 5e4, 5.0, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man48', 2.5e6, 5e4, 5.0, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man49', 2.5e6, 5e4,  15, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man50', 2.5e6, 5e4,  15, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man51', 2.5e6, 5e4, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man52', 2.5e6, 5e4, 150, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man53', 2.5e6, 5e4,1500, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man54', 2.5e6, 5e4,1500, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      };

% param_manguera=...
%  ...% Nombre    ES    EB   mu   I0   L   D   cs  roz  DltU porc
%     {'Man40', 2.5e6, 5e3,  15, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man41', 2.5e6, 5e3, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man42', 2.5e6, 5e3, 150, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man43', 2.5e6, 5e3,1500, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man44', 2.5e6, 5e3,1500, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      
%      'Man45', 2.5e6, 5e4, 0.5, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man46', 2.5e6, 5e4, 0.5, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man47', 2.5e6, 5e4, 5.0, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man48', 2.5e6, 5e4, 5.0, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man49', 2.5e6, 5e4,  15, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man50', 2.5e6, 5e4,  15, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man51', 2.5e6, 5e4, 150, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man52', 2.5e6, 5e4, 150, 0.02, 1, 0.02, 1, 0.8, 0.01, 90; 
%      'Man53', 2.5e6, 5e4,1500, 0.02, 1, 0.02, 1, 0.4, 0.01, 90;
%      'Man54', 2.5e6, 5e4,1500, 0.02, 1, 0.02, 1, 0.8, 0.01, 90};
