clear;

%Carga de parametros.
cd .\parametros;
parametros;
param_simulacion;
param_spline;
cd ..;

%Gestion del diario.
if crear_diario
    feval('diary', strcat(ruta_salidas,nombre_diario));
end

%Salvado de parametros.
cadena=['copy .\parametros\*.m ', ruta_salidas, '*.txt'];
dos(cadena);

%Creacion de un fichero para salidas abruptas.
fid_TerminacionesAbruptas_txt=...
             fopen(strcat(ruta_salidas,'TerminacionesAbruptas','.txt'),...
                   'wt');

num_experimento=1;
Total_experimentos=size(param_situacion_inicial,1)*size(param_manguera,1);


%PARAMETROS DE LOS ROBOTS.
%*************************
for i1=1:size(param_robots,1)
    NombreRobot=param_robots{i1,1};
    Vmaxima =param_robots{i1,2};
    Amaxima =param_robots{i1,3};
    Fmax_robots =param_robots{i1,4};
end


%PARAMETROS DE REPOSO DE LOS ROBOTS Y LA MANGUERA.
%*************************************************
for i1=1:size(param_reposo,1)
    Nombre_ubicacion_reposo=param_reposo{i1,1};
    robots_reposo=param_reposo{i1,2};
    nRobots = size(robots_reposo,1);        %**VARIABLE GLOBAL.**
    u_robots = param_reposo{i1,3};

    %Numero de segmentos de la situacion de reposo actual.
    nSegmentos=size(param_reposo{i1,4},2);  %**VARIABLE GLOBAL.**
    
    segmentos_reposo = cell(nSegmentos, 1);
    %Carga de los segmentos en reposo
    for j1=1:nSegmentos
        segmentos_reposo{j1}=param_reposo{i1,4}{j1};
    end
    
    %Verificacion de los parametros introducidos por el usuario.
    param_reposo_verifica;
end


%PARAMETROS UBICACION INICIAL DE LOS ROBOTS Y LA MANGUERA.
%*********************************************************
for n_inic=1:size(param_situacion_inicial,1)
    
    Nombre_situacion_inicial=param_situacion_inicial{n_inic,1};
    robots_inicial=param_situacion_inicial{n_inic,2};
    
    segmentos_inicial = cell(nSegmentos, 1);
    %Carga de los segmentos en situacion inicial
    for j1=1:nSegmentos
        segmentos_inicial{j1}=param_situacion_inicial{n_inic,3}{j1};
    end
    
    ori_robots_inicial=param_situacion_inicial{n_inic,4};
    norm_v_robots_inicial=param_situacion_inicial{n_inic,5};
    limite_iteraciones=param_situacion_inicial{n_inic,6};
    
    %Verificacion de los parametros introducidos por el usuario.
    param_ubicacion_inicial_verifica;


    %PARAMETROS SOBRE LA MANGUERA.
    %*****************************
    for n_mang=1:size(param_manguera,1)
        Nombre_manguera=param_manguera{n_mang,1};    
        ES=param_manguera{n_mang,2};
        EB=param_manguera{n_mang,3};
        mu=param_manguera{n_mang,4};
        I0=param_manguera{n_mang,5};
        L =param_manguera{n_mang,6};
        D =param_manguera{n_mang,7};
        cs=param_manguera{n_mang,8};
        coef_rozamiento=param_manguera{n_mang,9};  
        DeltaU=param_manguera{n_mang,10};  
        porcentaje_distancia_a_robot_previo=param_manguera{n_mang,11};

        %Deduccion del numero de partes discretas de la manguera.
        Discret = L/DeltaU;

        %Flags para la simulacion.
        %*************************
        Terminacion_experimento=0;
        
        %Simulacion como tal.
        %********************
        SimJM;
        
        cadena=['Finalizado exp: ', num2str(num_experimento) ,...
                ' de ', num2str(Total_experimentos), ' en h=', num2str(h)];
        disp(cadena);
        
        %Composicion del nombre del experimento:
        %***************************************
        nombre_experimento=strcat(Nombre_situacion_inicial,'_',...
                                  Nombre_manguera, '_',...
                                  num2str(num_nombre_experimento));
        disp(['Nombre experimento: ',nombre_experimento]);
        
        
        %Gestion de la terminacion del experimento:
        %*********************************************
        if Terminacion_experimento~=0
            switch Terminacion_experimento
            case 1
                disp(Cadena_Terminacion_experimento);
                
                fprintf(fid_TerminacionesAbruptas_txt,...
                       'nombre_experimento -> %s -> h=%d -> %s \n', ...
                        nombre_experimento, h, ...
                        Cadena_Terminacion_experimento);
            %otherwise             
            end            
        end
        
        %Guardar el worksape del experimento:
        %************************************
        if salvar_workspace
            feval('save', strcat(ruta_salidas,nombre_experimento));
        end
                       
        %Generacion del video:
        %*********************
        if generar_video
            nombreVideo=strcat(ruta_salidas,nombre_experimento);
            CrearVideo2(nombreVideo,dim,Posiciones, n_NumPtosControl, DeltaT, DeltaU, L, Niu, [], Posiciones_robots, Velocidades_robots, Orientaciones)
        end
        
        num_experimento=num_experimento+1;
        num_nombre_experimento=num_nombre_experimento+1;
    end
end    

%Gestion del diario.
if crear_diario
    diary off;
end

%Cierre del fichero para salidas abruptas.
fclose('all');
